package es.cipfpbatoi.modelo;

import java.util.HashSet;
import java.util.Set;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import jakarta.persistence.UniqueConstraint;

/**
 * Store generated by hbm2java
 */
@Entity
@Table(name = "store", catalog = "sakila", uniqueConstraints = @UniqueConstraint(columnNames = "manager_staff_id"))
public class Store implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Byte storeId;
	private byte managerStaffId;
	private short addressId;
	private Set<Inventory> inventories = new HashSet<Inventory>(0);

	public Store() {
	}

	public Store(byte managerStaffId, short addressId) {
		this.managerStaffId = 1;
		this.addressId = addressId;
	}

	public Store(byte managerStaffId, short addressId, Set<Inventory> inventories) {
		this.managerStaffId = 1;
		this.addressId = addressId;
		this.inventories = inventories;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)

	@Column(name = "store_id", unique = true, nullable = false)
	public Byte getStoreId() {
		return this.storeId;
	}

	public void setStoreId(Byte storeId) {
		this.storeId = storeId;
	}

	@Column(name = "manager_staff_id", unique = true, nullable = false)
	public byte getManagerStaffId() {
		return this.managerStaffId;
	}

	public void setManagerStaffId(byte managerStaffId) {
		this.managerStaffId = managerStaffId;
	}

	@Column(name = "address_id", nullable = false)
	public short getAddressId() {
		return this.addressId;
	}

	public void setAddressId(short addressId) {
		this.addressId = addressId;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "store")
	public Set<Inventory> getInventories() {
		return this.inventories;
	}

	public void setInventories(Set<Inventory> inventories) {
		this.inventories = inventories;
	}

}
